package com.university;

import java.util.ArrayList;
import java.util.List;

public class Student {
    String Name;
    String ID;
    String major;
    Department department;
    List<Course> courses;
    public Student(String name, String ID, String major, Department department) {
        this.Name = name;
        this.ID = ID;
        this.major = major;
        this.department = department;
        this.courses = new ArrayList<>();
    }

    public String getName() {
        return this.Name;
    }

    public String getID() {
        return this.ID;
    }

    public String getMajor() {
        return this.major;
    }

    public Department getDepartment() {
        return this.department;
    }

    public Course[] getCourses() {
        Course[] crs = new Course[this.courses.size()];
        for(int i = 0 ; i < this.courses.size(); i++)
        {
            crs[i] = this.courses.get(i);
        }
        return crs;
    }

    public void addCourse(Course course){
        this.courses.add(course);
    }
}
