package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class CourseTest {
    static Department department;
    static Professor professor;
    static Course course;
    static Student student;
    @BeforeAll
    public static void createCourse()
    {
        department = new Department("Computer");
        professor = new Professor(department, "Gholam");
        student = new Student("Roham", "1", "Software Eng", department);
        course = new Course("1", "AP", department, professor, 0);
        course.enrollStudent(student);
    }
    @Test
    public void testCourse()
    {
        assertEquals("1", course.getID());
        assertEquals("AP", course.getName());
        assertEquals(department, course.getDepartment());
        assertEquals(professor, course.getProfessor());
        assertEquals(0, course.getCredit());
        assertEquals(student, course.getStudents()[0]);
    }
}