package test;

import com.university.*;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class UniversityTest {
    static Department department;
    static University university;

    @BeforeAll
    public static void createUniversity() {
        department = new Department("Computer");
        university = new University();
        university.addDepartment(department);
    }

    @Test
    public void testUniversity() {
        assertEquals(department, university.getDepartments()[0]);
        university.removeDepartment(department);
        assertEquals(0, university.getDepartments().length);
    }
}