package com.university;

import java.util.ArrayList;
import java.util.List;

public class Course {

    String ID;
    String name;
    Department department;
    Professor professor;
    List<Student> students;
    int credit;
    public Course(String ID, String name, Department department, Professor professor, int credit) {
        this.ID = ID;
        this.name = name;
        this.department = department;
        this.professor = professor;
        this.credit = credit;
        this.students = new ArrayList<>();
    }

    public String getID(){
        return this.ID;
    }

    public Department getDepartment(){
        return this.department;
    }

    public String getName() {
        return this.name;
    }

    public Student[] getStudents() {
        Student[] std = new Student[this.students.size()];
        for (int i = 0 ; i < this.students.size(); i++)
            std[i] = this.students.get(i);
        return std;
    }

    public Professor getProfessor() {
        return this.professor;
    }

    public int getCredit() {
        return this.credit;
    }

    public void enrollStudent(Student student){
        if (student.getDepartment().getName().equals(this.department.getName()))
            this.students.add(student);
    }

}
