package com.university;

import java.util.ArrayList;
import java.util.List;

public class Department {

    String name;
    List<Student> students;
    List<Course> courses;
    List<Professor> professors;
    public Department(String name) {
        this.name = name;
        this.students = new ArrayList<>();
        this.courses = new ArrayList<>();
        this.professors = new ArrayList<>();
    }

    public String getName(){
        return this.name;
    }

    public void addStudent(Student student){
        this.students.add(student);
    }

    public Student[] getStudents(){
        return this.students.toArray(new Student[this.students.size()]);
    }

    public void removeStudent(Student student){
        this.students.remove(student);
    }

    public void addCourse(Course course){
        this.courses.add(course);
    }

    public Course[] getCourses(){
        return this.courses.toArray(new Course[this.courses.size()]);
    }

    public void removeCourse(Course course){
        this.courses.remove(course);
    }

    public void addProfessor(Professor student){
        this.professors.add(student);
    }

    public Professor[] getProfessors(){
        return this.professors.toArray(new Professor[this.professors.size()]);
    }

    public void removeProfessor(Professor professor){
        this.professors.remove(professor);
    }

}
