package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class ProfessorTest {
    static Department department;
    static Professor professor;
    static Course course;
    static Student student;
    @BeforeAll
    public static void createProfessor()
    {
        department = new Department("Computer");
        professor = new Professor(department, "Gholam");
        student = new Student("Roham", "1", "Software Eng", department);
        course = new Course("1", "AP", department, professor, 0);
    }
    @Test
    public void testProfessor()
    {
        assertEquals("Gholam", professor.getName());
        assertEquals(department, professor.getDepartment());
    }
}