package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class StudentTest {
    static Student student;
    static Department department;
    static Course c1;
    @BeforeAll
    public static void createStudent(){
        department = new Department("Computer and IT Eng");
        student = new Student("Roham", "1", "Software Eng", department);
        c1 = new Course("1", "AP", department, new Professor(department, "Gholam"), 0);
        student.addCourse(c1);
    }
    @Test
    public void testStudentGetName(){
        assertEquals("Roham", student.getName());
        assertEquals("1", student.getID());
        assertEquals("Software Eng", student.getMajor());
        assertEquals(department, student.getDepartment());
        assertEquals(c1, student.getCourses()[0]);
    }
}